BizKitHub
DocsAPI ReferenceOrganisation/bff/organisation/available-locales
getOrganisationAdmin BFF

/bff/organisation/available-locales

Returns all locales available in the system. Use this to populate a locale picker when configuring organisation locales or primary locale.

OrganisationgetBffOrganisationAvailable-locales

Parameters

No parameters required

This endpoint takes no path, query, header or body parameters.

Response schema

1 status code documented

200Success
itemsobject[]Required

All system locales ordered by position.

Each array item:
idnumberRequired

Internal locale ID. Use this value when setting primaryLocaleId in update-profile.

localestringRequired

ISO 639-1 locale code. Determines default language for contacts, emails, and content selection.

Examplecs

Response example

application/json
{
  "items": [
    {
      "id": 0,
      "locale": "cs"
    }
  ]
}

Request example

GET /bff/organisation/available-locales

get
curl -X GET "https://api.bizkithub.com/bff/organisation/available-locales" \
  -H "Content-Type: application/json" \
  -H "Authorization: Bearer YOUR_API_KEY"

Need an API key?

All BizKitHub public API endpoints require authentication via API key.

Get API Key